Subject: Segment recovery LSPs that are themselves protected

From: Nic Neate <[email-masked]>
Date: Thu, 29 Jan 2009 09:04:37 +0000

Hi,

Around the time of the last IETF I had some discussions about GMPLS recovery signaling, and promised that I had a couple of further issues to raise (see draft-rhodes-rsvp-recovery-signaling for more details).  The next one is about segment recovery LSPs which are themselves protected.

RFC 4873 section 2 states the following.

   A segment recovery LSP may be protected itself using segment or end-
   to-end protection/restoration.

No further details on how this is signaled are given, but I suspect the intention is that two PROTECTION objects are included on the segment recovery LSP.
-  One describing it as a recovery LSP (with the P bit set to 1).
-  One describing it as a working LSP (with the P bit set to 0).

However, both RFC 4872 and 4873 only allow a single PROTECTION object in a Path message.  See RFC 4872 section 17 and RFC 4873 section 7.

Can anyone clarify the intended way for protection of a segment recovery LSP to be signaled?

Thanks,

Nic